Bug 13065 - ks-script does not write postScript file
ks-script does not write postScript file
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-06-26 12:20 EDT by Karl Burkett
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-07 17:00:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Burkett 2000-06-26 12:20:08 EDT

When doing a kickstart install, it fails to find
/mnt/sysimage/tmp/ks-script from within todo.py.  I've checked in /tmp for
ks-script, but the file is not there either.

I'm using DHCP to assign the machine IP address and inform the install
script where to go for more information, ie. the ks-script that contains
the kickstart configuration as well as the post install script.  The
install computer finds the kickstart script is procedes to configure the
disk and install all of the packages as it should and only stops when
trying to locate the post install script titles "ks-script".  I've copied
the cd image to a NFS server and applied the anaconda patche,
update-disk-20000419.img, to the source files on the server and am using
the new bootnet disk image, bootnet-20000407.img, as well.

If I've left out any information, please let me know and I'll be glad to
answer your questions and follow your suggestions.  I'll also continue to
see if I can spot the problem in keep you updated.

Comment 1 Karl Burkett 2000-06-26 15:23:39 EDT
Placed a comment in front of os.unlink(path) at the end of todo.py and it
worked.  This seems to be the cure, though I don't understand why it should work
this way.

Everything works just fine inside anaconda.  I've found that the dificulty is
happening because this version of todo.py attempts to clean-up after it's self
by removing the ks-script file from /tmp.  This is behavior that was not done on
the version of anaconda that came with RedHat 6.1.  In general, I found that
having the ks-script left on the server was a good thing because I could then
edit the script and run it again as a debugging step.  Not a complaint, just an
observation.  Might want to leave a way to tell anaconda to not remove the
ks-script file.  Now in my version of the ks-script (this is long script of many
lines) I have the script move the ks-script file into /var/log to preserve a
record of what was done to the machine at installation time.  This did not
create a problem prior to this time because anaconda did not try to remove the
file, but now with RedHat 6.2 anaconda does try to remove the file.  I've
changed my script to copy ks-script to /var/log, rather than move the file. 
This should take care of the problem, though, if I may suggest, making a test
for the existance of the ks-file prior to attempting to unlink it might be a
prudent think to do.

Please close out this problem when you have a chance.

Comment 2 Erik Troan 2000-07-07 17:00:08 EDT
This has been fixed -- thanks for the info.

Note You need to log in before you can comment on or make changes to this bug.